### Function Macro

# Vips ARRAY

#### Declaration [src]

    #define VIPS_ARRAY (
      OBJ,
      N,
      T
    )

#### Description [src]

Allocate memory for an array of objects of type `T`. The memory is not cleared.

This macro cannot fail. See `vips_tracked_malloc()` if you are allocating large amounts of memory.

See also

`vips_malloc()`.

This function is not directly available to language bindings.

#### Parameters

`OBJ`

  Type: `-`

  Allocate memory local to `OBJ`, or `NULL` for no auto-free.

`N`

  Type: `-`

  Number of `T` ‘s to allocate.

`T`

  Type: `-`

  Type of thing to allocate.